//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
	using System.Collections.Generic;
	using Neo.ApplicationFramework.Tools.Recipe;
    
    public partial class Screen2
    {
		
		void Screen2_Opened(System.Object sender, System.EventArgs e)
		{
			List<string> myRecipeNames;
			myRecipeNames = Globals.Recipe1.FieldNames;
			
			//Fill the list box with the names of the current recipes in the system
			foreach( string i in myRecipeNames)
				ListBox1.Items.Add(i);
			//Set the focus to the input text box
			this.m_AnalogNumeric1.Focus();
		}
		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			//Load the recipe that was entered
			Globals.Recipe1.LoadRecipe(Globals.Tags.RecipeNameToLoad.Value);
			//Close the load recipe screen
			Globals.Screen2.Close();
		}
		
		void ListBox1_SelectionChanged(System.Object sender, System.EventArgs e)
		{
			//When the user selects a recipe in the list box, update the
			//tag that is used to keep track of which recipe to load
			Globals.Tags.RecipeNameToLoad.Value = (string) ListBox1.SelectedItem;
		}
    }
}
